summaryrefslogtreecommitdiff
path: root/debian/phpbb3.postrm
diff options
context:
space:
mode:
authorOlivier Gayot <duskcoder@gmail.com>2018-03-12 22:57:42 +0100
committerOlivier Gayot <duskcoder@gmail.com>2018-03-12 22:57:42 +0100
commita8c22829d8e8845cd4ddf4ef8b61a1ed79edfffc (patch)
treef0ae554b863266fbe523582d1be09216436c7472 /debian/phpbb3.postrm
Imported from the SVN repository
http://svn.wolffelaar.nl/wsvn/phpbb/branches/jessie/ Signed-off-by: Olivier Gayot <duskcoder@gmail.com>
Diffstat (limited to 'debian/phpbb3.postrm')
-rwxr-xr-xdebian/phpbb3.postrm41
1 files changed, 41 insertions, 0 deletions
diff --git a/debian/phpbb3.postrm b/debian/phpbb3.postrm
new file mode 100755
index 0000000..8098a1d
--- /dev/null
+++ b/debian/phpbb3.postrm
@@ -0,0 +1,41 @@
+#!/bin/sh
+#
+# possible calls: remove, purge, failed-upgrade, abort-install, abort-upgrade, disappear
+
+set -e
+
+if [ "$PB3DEBUG" = "maint" ]; then
+ echo "[maint] $0 $@" >&2
+fi
+if [ "$PB3DEBUG" = "sh" ]; then
+ set -x
+fi
+
+if [ -f /usr/share/debconf/confmodule ]; then
+ . /usr/share/debconf/confmodule
+fi
+if [ -f /usr/share/dbconfig-common/dpkg/postrm ]; then
+ . /usr/share/dbconfig-common/dpkg/postrm
+ dbc_go phpbb3 $@
+fi
+
+if [ "$1" = "purge" ]; then
+ for c in /etc/phpbb3/database.inc.php /etc/phpbb3/*.conf ; do
+ if [ -x /usr/bin/ucf ]; then
+ ucf --purge $c
+ fi
+ if [ -x /usr/bin/ucfr ]; then
+ ucfr --purge phpbb3 $c
+ fi
+ rm -f $c
+ done
+ rm -Rf /etc/phpbb3 /var/cache/phpbb3 /var/lib/phpbb3
+
+ # remove other files generated manually via maintainer scripts
+ rm /usr/share/phpbb3/www/images
+fi
+
+rm -Rf /usr/share/phpbb3/www/install-*
+rm -Rf /usr/share/dbconfig-common/data/phpbb3
+
+#DEBHELPER#